Subject: sydney botanical garden

From: [email-masked] (Kris Benarcik)
Date: 23 Mar 1995 22:13:06 GMT

would anyone have information regarding internships and work exchange
programs at the sydney botanical gardens in sydney,australia? please send
any information to this e-mail address instead of posting it.  Many
thanks--

Kris Benarcik